%define name	gtkpod
%define version 0.99.9
%define cvs 20070121
%define release %mkrel 0.%cvs.1

%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Name: 	 	%{name}
Summary: 	GTK interface to iPod
Version: 	%{version}
Release: 	%{release}

Source0:	http://prdownloads.sourceforge.net/gtkpod/%{name}-%{cvs}.tar.bz2
Patch: gtkpod-0.99.4-evopath.patch
Patch1: gtkpod-0.99.8-cover.patch
#gw change default mount point in the sync scripts. This isn't strictly
#nessessary as all scripts support a command line option -i mountpoint
Patch3: gtkpod-0.99.8-mountpoint.patch
URL:		http://gtkpod.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libid3tag-devel
BuildRequires:	libgpod-devel >= 0.4.2
BuildRequires:	gtk2-devel ImageMagick libglade2.0-devel
BuildRequires:	libcurl-devel
BuildRequires:	flex
%if %build_plf
BuildRequires:	libmp4v2-devel
%endif

%description
gtkpod is a platform independent GUI for Apple's iPod using GTK2. It allows
you to upload songs and playlists to your iPod. It supports ID3 tag editing,
multiple charsets for ID3 tags, detects duplicate songs, allows offline
modification of the database with later synchronisation, and more.

gtkpod allows you to
    * Read your existing iTunesDB (i.e. import the existing contents of
      your iPod).
    * Add mp3 files to the iPod. You can choose the charset the ID3 tags
      are encoded in from within gtkpod. The default is the charset
      currently used by your locale setting.
    * When adding songs, gtkpod detects duplicates (opt).
    * Remove songs from the iPod.
    * Create and modify playlists.
    * Modify ID3 tags -- changes are also updated in the original file (opt)
    * Write the updated iTunesDB and added songs to your iPod.
    * Work offline and synchronize your new playlists / songs with the iPod
      at a later time.

%if %build_plf
This package is in PLF as it may violate some MP4 patents.
%endif

%prep
%setup -q -n %name
%patch0 -p1 -b .evo
%patch1 -p1 -b .cover
%patch3 -p1 -b .mountpoint
chmod 644 README ChangeLog COPYING AUTHORS
./autogen.sh

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm %buildroot/%_datadir/%name/pixmaps/%name.glade*
ln -s %_datadir/gtkpod/gtkpod.glade %buildroot/%_datadir/gtkpod/pixmaps/gtkpod.glade
ln -s %_datadir/gtkpod/gtkpod.gladep %buildroot/%_datadir/gtkpod/pixmaps/gtkpod.gladep

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="GTKPod" longtitle="Interface to iPod" section="Multimedia/Sound" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=GTKPod
Comment=Interface to iPod
Exec=%{name}
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Sound;Audio;Player;
EOF


#icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
cp pixmaps/%{name}-icon-48x48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -size 32x32 pixmaps/%{name}-icon-64x64.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 16x16 pixmaps/%{name}-icon-64x64.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-*
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 0.99.9-0.20070121.1mdv2007.0
+ Revision: 115329
- cvs snapshot
- drop patch 3
- bump deps

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 0.99.8-2mdv2007.1
+ Revision: 100406
- update mount point patch for /media
- unpack patches
- patch sync scripts to force default ipod mount point
- fix description
- Import gtkpod



* Sat Oct  7 2006 Gtz Waschk <waschk@mandriva.org> 0.99.8-1mdv2007.1
- fix mp4 track detection for enhanced AAC
- bump deps
- rediff patch 1
- New version 0.99.8

* Mon Jul 31 2006 Gtz Waschk <waschk@mandriva.org> 0.99.4-3mdv2007.0
- xdg menu

* Thu Apr 27 2006 Gtz Waschk <waschk@mandriva.org> 0.99.4-2mdk
- update patch 0 for newer evolution

* Sun Mar 05 2006 Götz Waschk <waschk@mandriva.org> 0.99.4-1mdk
- New release 0.99.4

* Thu Dec 22 2005 Gtz Waschk <waschk@mandriva.org> 0.99.2-3mdk
- improve cover import
- add mkrel macro for backports

* Thu Dec 15 2005 Gtz Waschk <waschk@mandriva.org> 0.99.2-2mdk
- fix path in evolution address script

* Wed Dec 14 2005 Götz Waschk <waschk@mandriva.org> 0.99.2-1mdk
- New release 0.99.2

* Tue Dec 13 2005 Gtz Waschk <waschk@mandriva.org> 0.99.0-4mdk
- fix buildrequires

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.99.0-3mdk
- fix buildrequires

* Sun Dec 11 2005 Gtz Waschk <waschk@mandriva.org> 0.99.0-2mdk
- add distsuffix

* Sun Dec 11 2005 Gtz Waschk <waschk@mandriva.org> 0.99.0-1mdk
- update deps
- New release 0.99.0

* Mon Nov 28 2005 Gtz Waschk <waschk@mandriva.org> 0.94.0-3mdk
- fix buildrequires

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.94.0-2mdk
- Fix BuildRequires

* Sat Jul 16 2005 Austin Acton <austin@mandriva.org> 0.94.0-1mdk
- New release 0.94.0

* Sun Jun 26 2005 Austin Acton <austin@mandriva.org> 0.93.1-1mdk
- 0.93.1
- fix buildrequires (bug 16578)
- drop gcc patch

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.88.2-2mdk
- fix build with gcc4 (P0)
- add plf build for mp4v2 aac support
- fix buildrequires

* Sat Apr 02 2005 Eskild Hustvedt <eskild@mandrake.org> 0.88.2-1mdk
- New release 0.88.2
- %%mkrel

* Thu Mar 17 2005 Austin Acton <austin@mandrake.org> 0.88.1-1mdk
- New release 0.88.1

* Thu Mar 10 2005 Austin Acton <austin@mandrake.org> 0.88-1mdk
- New release 0.88

* Wed Mar 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.87.3-1mdk
- 0.87.3

* Sat Nov 20 2004 Austin Acton <austin@mandrake.org> 0.85.0-1mdk
- 0.85.0

* Wed Sep 22 2004 Austin Acton <austin@mandrake.org> 0.80-2.1mdk
- 0.80-2
- configure 2.5

* Thu Apr 1 2004 Austin Acton <austin@mandrake.org> 0.72-2.1mdk
- 0.72-2

* Thu Dec 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.70-1mdk
- 0.70

* Mon Oct 6 2003 Austin Acton <aacton@yorku.ca> 0.60-1mdk
- 0.60

* Sun Jul 6 2003 Austin Acton <aacton@yorku.ca> 0.52-1mdk
- 0.52

* Thu Jun 5 2003 Austin Acton <aacton@yorku.ca> 0.51-2.1mdk
- 0.51-2

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.50-2mdk
- build release for libid3

* Sun Mar 23 2003 Austin Acton <aacton@yorku.ca> 0.50-1mdk
- 0.50

* Thu Feb 27 2003 Austin Acton <aacton@yorku.ca> 0.43-1mdk
- 0.43

* Thu Feb 20 2003 Austin Acton <aacton@yorku.ca> 0.42-1mdk
- 0.42

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 0.41-1mdk
- initial package
